curl --request POST \
--url https://api.instantly.ai/api/v2/custom-tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "Important"
}
'import requests
url = "https://api.instantly.ai/api/v2/custom-tags"
payload = { "label": "Important" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Important'})
};
fetch('https://api.instantly.ai/api/v2/custom-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/custom-tags")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": \"Important\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/custom-tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'label' => 'Important'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/custom-tags"
payload := strings.NewReader("{\n \"label\": \"Important\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a082d0-3333-74e0-8bc8-09cb570c4386",
"timestamp_created": "2026-09-08T20:57:57.811Z",
"timestamp_updated": "2026-09-08T20:57:57.811Z",
"organization_id": "01a082d0-3333-74e0-8bc8-09ccca7de543",
"label": "Important",
"description": "Used for marking important items"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 409,
"error": "Conflict",
"message": "A tag with this name already exists."
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Create custom tag
Requires one of the following scopes: custom_tags:create, custom_tags:all, all:create, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The Custom Tag to create
The Custom Tag to create
Response
The Custom Tag
A custom tag for organizing and categorizing accounts and campaigns. You can use them as filters in apis that list accounts and campaigns.
Unique identifier for the custom tag
"01a082d0-3333-74e0-8bc8-09cb570c4386"
Timestamp when the custom tag was created
"2026-09-08T20:57:57.811Z"
Timestamp when the custom tag was last updated
"2026-09-08T20:57:57.811Z"
Organization ID that owns this custom tag
"01a082d0-3333-74e0-8bc8-09ccca7de543"
Display label for the custom tag. Must be unique per workspace after trimming whitespace.
1.*\S.*"Important"
Detailed description of the custom tag purpose
"Used for marking important items"